import { create } from "zustand";

type PathType = {
  configDirectory: string;
};

export const getPaths = async () => {
  const { configDir } = await import("@tauri-apps/api/path");
  return (await configDir()) + "stort/";
};

export const usePathStore = create<PathType>((set) => ({
  configDirectory: getPaths(),
}));
